source 'http://rubygems.org'
# Look for $WORKSPACE, otherwise use "workspace" as dev path.

devenv = ENV["BUILD_NUMBER"].nil? # Jenkins sets a build number environment variable

ruby_version = ENV["JAM_RUBY_VERSION"]
ruby_version = "2.3.1" if ruby_version.nil?

ruby ruby_version

if devenv
  #gem 'jam_db', :path=> "../db/target/ruby_package"
  gem 'jampb', :path => "../pb/target/ruby/jampb"
  gem 'jam_ruby', :path => "../ruby"
  gem 'jam_websockets', :path => "../websocket-gateway"
else
  source 'https://jamjam:blueberryjam@int.jamkazam.com/gems/' do
    #gem 'jam_db', "0.1.#{ENV["BUILD_NUMBER"]}"
    gem 'jampb',  "0.1.#{ENV["BUILD_NUMBER"]}"
    gem 'jam_ruby',  "0.1.#{ENV["BUILD_NUMBER"]}"
    gem 'jam_websockets',  "0.1.#{ENV["BUILD_NUMBER"]}"
    ENV['NOKOGIRI_USE_SYSTEM_LIBRARIES'] ||= "true"
  end
end
gem 'rails', '= 4.2.8'
gem 'railties', '= 4.2.8'
gem 'auto_strip_attributes', '2.6.0'
gem 'protected_attributes'
gem 'rails-observers'

# PINNED TO SUPPORT BOTH 2.3.1 and 2.4.1 Ruby simultaneously
# This should be the same in ruby/admin/web/websocket-gateway
#######
gem 'nokogiri', '1.10.10' # added to pin before 1.11.0, which requires at leaost ruby 2.5.  unpin we go above
gem 'sprockets', '3.6.3' # added to pin before 4.0.0, which requiurse at least ruby 2.5
gem 'fog-brightbox', '0.11.0' # pinned until we are on ruby 2.5; then remove
gem 'faraday', '0.9.2' # pinned untnil we are on ruby 2.5; then remove
gem 'ruby-prof', '0.15.9' # pinned until we are on ruby 2.5; then remove
gem 'rubyzip', '1.2.1'  # pinned until we are on ruby 2.5; then remove
gem 'recurly', '2.19.14' # should upgrade to 3.x when we have time to validaate
gem 'icalendar', '2.4.0' # pinned until we are on ruby 2.5; then remove
gem 'email_validator', '1.6.0' # pinned until we are on ruby 2.5, then remove
gem 'redis', '3.3.3' # pinned until we are on 2.5; then remove
gem 'redis-namespace', '1.5.3' # pinned until we are on 2.5; then remove
gem 'oj', '3.1.3' # pinned until we are on 2.5; then remove
gem 'bcrypt', '3.1.13'
gem 'sass-rails', '5.0.7' # compiler mismatch issue between build and www
gem 'sass', '3.5.5 '# compiler mismatch issue between build and www
#1######

gem 'responders', '~> 2.0'
#gem 'sprockets', '3.2.0'
gem 'sprockets-es6', require: 'sprockets/es6'
gem 'sprockets-rails', '2.3.2'
gem 'non-stupid-digest-assets'
#gem 'license_finder'
#gem 'pg_migrate', '0.1.14'
#gem 'paypal-sdk-rest'
gem 'paypal-sdk-merchant-jk', '1.118.1'
gem 'kickbox'
#gem 'oj' # '2.10.2'
gem 'builder'
gem 'jquery-rails'
gem 'jquery-ui-rails', '4.2.1'
#gem 'bootstrap-sass', '2.0.4'
#gem 'bcrypt-ruby', '3.1.14'
gem 'faker', '1.3.0'
gem 'will_paginate' #, '3.0.3'
gem 'bootstrap-will_paginate', '0.0.6'
gem 'em-websocket', '>=0.4.0' #, :path => '/Users/seth/workspace/em-websocket'
gem 'uuidtools', '2.1.2'
gem 'ruby-protocol-buffers', '1.2.2'

if ENV["MODERN_OS"] == "1"
  gem 'pg', '0.21.0'
else
  gem 'pg', '0.17.1'
end

#gem 'compass-rails' #, '1.1.3'  # 1.1.4 throws an exception on startup about !initialize on nil
#gem "compass-rails", github: "Compass/compass-rails", branch: "master"
gem 'rabl', '0.13.1' # 0.14.3 has error on jenkins build server in ubuntu 12
gem 'gon', '~>4.1.0' # for passthrough of Ruby variables to Javascript variables
gem 'eventmachine', "1.2.3" #, '1.0.4'
#gem 'faraday', '~>0.9.0'
gem 'amqp', '0.9.8'
#gem 'logging-rails', :require => 'logging/rails'
#gem 'omniauth', '1.1.1'
#gem 'omniauth-facebook', '1.4.1'
#=======
#gem 'logging-rails', :require => 'logging/rails'
gem 'omniauth'
gem 'omniauth-facebook'
#>>>>>>> develop
gem 'omniauth-twitter'
gem 'omniauth-google-oauth2'
gem 'omniauth-stripe-connect'
gem 'google-api-client' #, '0.7.1'
gem 'retriable', '3.0.1' # this is necessary because 3.0.2 has a bug when used by google-api-client
#gem 'google-api-omniauth' #, '0.1.1'
gem 'signet', '0.5.0'
gem 'twitter'
gem 'fb_graph', '2.5.9'
gem 'sendgrid', '1.2.0'
gem 'filepicker-rails', '0.1.0'
gem 'aws-sdk', '~> 1'
gem 'aasm' #, '3.0.16'
gem 'carmen'
gem 'carrierwave', '0.11.2' #, '0.9.0'
gem 'carrierwave_direct'
gem 'fog'
#gem 'jquery-payment-rails', github: 'sethcall/jquery-payment-rails'
gem 'haml-rails', '0.9.0' # pinned because upgrading lets u not do = "{% if(data.feed_item['has_mount?']) { %}" . ? is bad
gem 'unf' #optional fog dependency
gem 'devise', '3.3.0' #3.4.0 causes uninitialized constant ActionController::Metal (NameError)
gem 'postgres-copy'
gem 'prawn-table'
#group :libv8 do
#  gem 'libv8', "~> 3.11.8"
#end
gem 'geokit-rails'
gem 'postgres_ext'
gem 'resque'
gem 'resque-scheduler', '4.3.0' # a bug in 4.4.0 stops resque schedule from starting. 4.3.0 is very old compared to 4.4.0 though
gem 'resque-retry'
gem 'resque-failed-job-mailer'
gem 'resque-dynamic-queues'
gem 'resque-lonely_job', '~> 1.0.0'
gem 'resque_mailer'
gem 'netaddr', '1.5.1'
gem 'quiet_assets', :group => :development
gem 'bugsnag', '5.3.2'
gem 'multi_json' #, '1.9.0'
gem 'rest-client'
gem 'iso-639'
gem 'language_list'
#gem 'rubyzip'
gem 'slim'
gem 'htmlentities'
gem 'sanitize'
#gem 'recurly', '~> 2'
#gem 'guard', '2.7.3'
#gem 'influxdb' #, '0.1.8'
gem 'cause' # needed by influxdb
gem 'influxdb', '0.3.14'
gem 'influxdb-rails', '0.1.12'
gem 'sitemap_generator'
gem 'bower-rails', "~> 0.9.2"
gem 'react-rails', '1.3.3' #'~> 1.0'
gem 'sendgrid_toolkit', '>= 1.1.1'
gem 'stripe'
gem 'zip-codes'
#gem 'email_validator'
#gem "browserify-rails", "~> 0.7"

gem 'elasticsearch'

gem 'logging', '1.7.2'

gem 'rack-cors', '~> 1.0', '>= 1.0.6'


if ENV['FASTER_PATH'] == '1'
  # https://github.com/danielpclark/faster_path
  # supposed to dramatically speed up page load time. Gotta install rust. go to github if interested
  #gem 'faster_path', '~> 0.1.0', :group => :development
end

source 'https://rails-assets.org' do
  gem 'rails-assets-reflux', '0.3.0'
  gem 'rails-assets-classnames'
#<<<<<<< HEAD
#  gem 'rails-assets-react-select'
  #gem "rails-assets-regenerator"
  gem 'rails-assets-bluebird'
#=======
  gem 'rails-assets-react-select', '0.6.7'
#>>>>>>> develop
end

#group :development, :production do
#  gem 'rack-timeout'
#end

group :development, :test do
  gem 'rspec-rails' #, require: "rspec/rails" #, '2.14.2'
  gem 'rspec-collection_matchers'
  gem "activerecord-import", "~> 0.4.1"
#  gem 'guard-rspec', '0.5.5'
#  gem 'jasmine', '1.3.1' 
  gem 'pry'
  gem 'execjs', '2.6.0 ' #, '1.4.0'
  gem 'factory_girl_rails' # , '4.1.0' # in dev because in use by rake task
  gem 'database_cleaner', '1.3.0' #in dev because in use by rake task
  gem 'test-unit'
  # gem 'teaspoon'
  # gem 'teaspoon-jasmine'
 gem 'puma'  
  gem 'byebug'
end
group :unix do
#  gem 'therubyracer' #, '0.11.0beta8'
end

# Gems used only for assets and not required
# in production environments by default.

gem 'coffee-rails'
gem 'uglifier'
gem 'coffee-script-source', '1.12.2'
group :test, :cucumber do
  gem 'simplecov', '~> 0.7.1'
  gem 'simplecov-rcov'
  gem 'capybara'
  #gem 'rails-assets-sinon', source: 'https://rails-assets.org'
  #gem 'sinon-rails'
#if ENV['JAMWEB_QT5'] == '1'
#  # necessary on platforms such as arch linux, where pacman -S qt5-webkit is your easiet option
#  gem "capybara-webkit", :git => 'git://github.com/thoughtbot/capybara-webkit.git'
#else
#  gem "capybara-webkit"
#end
  gem 'capybara-screenshot', '1.0.25' #, '0.3.22' # 1.0.0 broke compat with rspec.  maybe we need newer rspec
  gem 'selenium-webdriver'
  gem 'webdrivers', '~> 4.0', require: false
  gem "show_me_the_cookies"
#  gem 'geckodriver-helper' # firefox

  #  gem 'cucumber-rails', :require => false #, '1.3.0', :require => false
#  gem 'guard-spork', '0.3.2'  
  gem 'spork', '0.9.0'
  gem 'launchy', '2.1.1'
  gem 'rack-test'
  # gem 'rb-fsevent', '0.9.1', :require => false
  # gem 'growl', '1.0.3'
  gem 'resque_spec'
  gem 'timecop'
  gem 'webmock', '~> 3.11', '>= 3.11.2'
#  gem 'thin'
end


group :production do
  gem 'unicorn'
  gem 'newrelic_rpm'
  gem 'god'
end

group :package do
   gem 'fpm'
end
